package com.idiot.operationbackend.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.idiot.operationbackend.entity.AccountFansStat;
import com.idiot.operationbackend.mappers.AccountFansStatMapper;
import com.idiot.operationbackend.service.facade.AccountFansStatService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 公众号数据统计
 * @author wang xiao
 * @date Created in 14:54 2020/9/15
 */
@Service
public class AccountFansStatServiceImpl extends ServiceImpl<AccountFansStatMapper, AccountFansStat>
        implements AccountFansStatService {


    @Override
    public List<AccountFansStat> queryByDateAndAccIds(List<String> accountIds, String statDate) {
        return list(Wrappers.<AccountFansStat>lambdaQuery().eq(AccountFansStat::getStatDate,statDate)
                .in(AccountFansStat::getAccountId,accountIds));
    }


    @Override
    public AccountFansStat queryByDateAndAccountId(String accountId, String statDate) {
        return getOne(Wrappers.<AccountFansStat>lambdaQuery()
                .eq(AccountFansStat::getAccountId,accountId)
                .eq(AccountFansStat::getStatDate,statDate));
    }
}
